Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix.pretrade.inner
Class MarketDataEntryIncremental

    java.lang.Object
      com.fxcm.fix.pretrade.inner.MarketDataEntry
          com.fxcm.fix.pretrade.inner.MarketDataEntryIncremental

    public class MarketDataEntryIncremental

extends MarketDataEntry

Constructor Summary
`MarketDataEntryIncremental()`
`MarketDataEntryIncremental(MarketDataEntry aMarketDataEntry)`

Method Summary
`boolean` | `fill(IFieldGroup aFieldGroup)`
`Instrument` | `getInstrument()`
`void` | `reset()`
`void` | `setInstrument(Instrument aInstrument)`
`IFieldGroup` | `toGroup(IMessageFactory aFactory)`

Methods inherited from class com.fxcm.fix.pretrade.inner.MarketDataEntry
`createEntryID, getCurrency, getExpireDate, getExpireTime, getMDEntryDate, getMDEntryID, getMDEntryOriginator, getMDEntryPx, getMDEntrySize, getMDEntryTime, getMDEntryType, getMDQuoteType, getQuoteCondition, getQuoteEntryID, getTradingSessionID, getTradingSessionSubID, hashCode, setCurrency, setExpireDate, setExpireTime, setMDEntryDate, setMDEntryID, setMDEntryOriginator, setMDEntryPx, setMDEntrySize, setMDEntryTime, setMDEntryType, setMDQuoteType, setQuoteCondition, setQuoteEntryID, setTradingSessionID, setTradingSessionSubID, toGroup, toString`

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MarketDataEntryIncremental

    public MarketDataEntryIncremental()

### MarketDataEntryIncremental

    public MarketDataEntryIncremental(MarketDataEntry aMarketDataEntry)

Method Detail

### fill

    public boolean fill(IFieldGroup aFieldGroup)

  Overrides:
    `fill` in class `MarketDataEntry`

### getInstrument

    public Instrument getInstrument()

### setInstrument

    public void setInstrument(Instrument aInstrument)

### reset

    public void reset()

  Overrides:
    `reset` in class `MarketDataEntry`

### toGroup

    public IFieldGroup toGroup(IMessageFactory aFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.